Subject: [Idr] I-D Action: draft-ietf-idr-bgp-optimal-route-reflection-24.txt

From: [email-masked]
Date: Mon, 31 May 2021 07:14:49 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Inter-Domain Routing WG of the IETF.

        Title           : BGP Optimal Route Reflection (BGP-ORR)
        Authors         : Robert Raszuk
                          Christian Cassar
                          Erik Aman
                          Bruno Decraene
                          Kevin Wang
	Filename        : draft-ietf-idr-bgp-optimal-route-reflection-24.txt
	Pages           : 11
	Date            : 2021-05-31

Abstract:
   This document defines an extension to BGP route reflectors.  On route
   reflectors, BGP route selection is modified in order to choose the
   best route from the standpoint of their clients, rather than from the
   standpoint of the route reflectors.  Depending on the scaling and
   precision requirements, route selection can be specific for one
   client, common for a set of clients or common for all clients of a
   route reflector.  This solution is particularly applicable in
   deployments using centralized route reflectors, where choosing the
   best route based on the route reflector's IGP location is suboptimal.
   This facilitates, for example, best exit point policy (hot potato
   routing).

   The solution relies upon all route reflectors learning all paths
   which are eligible for consideration.  BGP Route Selection is
   performed in the route reflectors based on the IGP cost from
   configured locations in the link state IGP.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-idr-bgp-optimal-route-reflection/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-ietf-idr-bgp-optimal-route-reflection-24

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-idr-bgp-optimal-route-reflection-24

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/